Subject: bug#56682: Fix the long lines font locking related slowdowns

From: Eli Zaretskii <[email-masked]>
Date: Mon, 15 Aug 2022 19:58:03 +0300

> Date: Mon, 15 Aug 2022 19:44:07 +0300
> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> >> Here's the profiler output anyway:
> >>
> >>           1067  85% - command-execute
> >>           1067  85%  - call-interactively
> >>           1023  82%   - funcall-interactively
> >>           1012  81%    - end-of-buffer
> >>           1008  81%     - recenter
> >>           1008  81%      - jit-lock-function
> > When did you last resync from Git?  'recenter' got "optimized"
> > yesterday for buffers with long lines.
> 
> Just today.
> 
> In any case, it doesn't look like recenter's problem, since the output 
> says all (or vast majority) of its time is spent in jit-lock-function.

AFAIU 'recenter' shouldn't at all call jit-lock-function in a buffer
with long lines.  Is this "emacs -Q" without any changes from
defaults?

> I just did 'make bootstrap' to be doubly sure: no change.

What can I say? I'm stumped.  It's definitely instantaneous here, in
the long-line.xml file.  Even if I don't turn off show-paren-mode.